VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "IteratorFormat"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'      
Option Explicit

Private selection_ As Word.Range
Private format_ As InfoFormat

Public Function Init(theDoc As Word.Document, iFormat As InfoFormat, Optional nStart& = 0)
  Set format_ = iFormat
  Set selection_ = theDoc.Range(nStart, nStart)
End Function

Public Function Range() As Word.Range
  Set Range = selection_
End Function

Public Function MoveNext() As Word.Range
  Set MoveNext = IIf(Increment(True), selection_, Nothing)
End Function

Public Function MovePrev() As Word.Range
  Set MovePrev = IIf(Increment(False), selection_, Nothing)
End Function

' =========
Private Function Increment(bForward As Boolean) As Boolean
  Dim rSearch As Word.Range: Set rSearch = selection_.Duplicate
  Call rSearch.Collapse(IIf(bForward, wdCollapseEnd, wdCollapseStart))
  
  Call format_.ApplyToWordFont(rSearch.Find.Font)
  rSearch.Find.Format = True
  rSearch.Find.Forward = bForward
  Increment = rSearch.Find.Execute
  If Increment Then _
    Set selection_ = rSearch
End Function

