VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "s_MarkupAPI"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

' TODO:
' Public Function InitFromCurrentDocument(target As Word.Document) As Boolean
' Public Function SyncWord(target As Word.Document) As Boolean

' Public Function ValidateConfig(styleDoc As Word.Document) As String

Private fso_ As Scripting.FileSystemObject
Private markup_ As MarkupAPI

Public Function Setup()
  ' Mandatory setup function
  Set markup_ = New MarkupAPI
  Set fso_ = New Scripting.FileSystemObject
  Call ResetTestFolder
  Call markup_.LoadConfig(SetupTestConfig)
End Function

Public Function Teardown()
  ' Mandatory teardown function
  Call fso_.DeleteFolder(GetTestFolder)
End Function

Public Function t_LoadConfig()
  On Error GoTo PROPAGATE_ERROR
  
  Call Dev_ExpectTrue(markup_.config_.IsLoaded)
  Call Dev_ExpectEQ(3, markup_.config_.categories_.Count)

  Exit Function
PROPAGATE_ERROR:
  Call Dev_LogError(Err.Number, Err.Description)
End Function
